@import "/css/variables.css";

.fade-in-and-slide-down {
    animation-duration: var(--animation-duration), var(--animation-duration);
    animation-name: fadeIn, slideDown;
}

.fade-in {
  animation: fadeIn var(--animation-duration) forwards;
}

.fade-out {
  animation: fadeOut var(--animation-duration) forwards;
}

.fade-in-and-out {
    animation-duration: var(--animation-duration), var(--animation-duration);
    animation-delay: 0s, var(--animation-duration);
    animation-name: fadeIn, fadeIn;
    animation-direction: normal, reverse;
}

.slide-down {
  animation: slideDown 3s forwards;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

@keyframes slideDown {
  from {
    transform: translateY(-2em);
  }
  to {
  }
}